---
page_title: List Bank Accounts [Deprecated]
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/express-checkout/list-bank-accounts-deprecated
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fexpress-checkout%2Flist-bank-accounts-deprecated
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# List bank accounts [Deprecated]

## Endpoints:
- Sandbox: https://sandbox.juspay.in/customers/{customer_id}/bank-accounts/list

- Production: https://api.juspay.in/customers/{customer_id}/bank-accounts/list

## Request Type: 
GET

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username:Password, Mandatory
## Headers:

#### Content-Type:
application/x-www-form-urlencoded
- Tags: String
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl -X GET \
  https://api.juspay.in/customers/cst_weoridsfdkl/bank-accounts/list \
  -H 'Content-Type: application/x-www-form-urlencoded' \
  -u your_api_key:

```

### Sample Response:

#### Response:
```json
{
  "object": "list",
  "list": [
    {
      "object": "bank_account",
      "id": "bank_woeriusdfk",
      "customer_id": "cst_weoriudfjks",
      "date_created": "2019-12-24T14:40:23Z",
      "bank_name": "HDFC Bank",
      "ifsc": "HDFC092343",
      "account_number": "40002323422",
      "beneficiary_name": "test",
      "validation_amount": 1,
      "currency": "INR",
      "validation_status": "PENDING",
      "last_validated": null,
      "metadata": {
        "param1": "value1",
        "param2": "value2"
      }
    },
    {
      "object": "bank_account",
      "id": "bank_woeriusdfk",
      "customer_id": "cst_weoriudfjks",
      "date_created": "2019-12-24T14:40:23Z",
      "bank_name": "Axis Bank",
      "ifsc": "HDFC092343",
      "account_number": "40002323422",
      "beneficiary_name": "test",
      "validation_amount": 1,
      "currency": "INR",
      "validation_status": "ACTIVE",
      "last_validated ": "2019-12-21T14:50:23Z",
      "metadata": {
        "param1": "value1",
        "param2": "value2"
      }
    }
  ],
  "count": 2,
  "offset": 0,
  "total": 2
}
```

## Path Parameters:

#### customer_id:
Customer Id
- Value: Example:- cst_weoridsfdkl
- Tags: String, Mandatory
## API Responses:
### 200:

#### object:
- Description: list
- Tags: string

#### count:
- Tags: integer

#### offset:
- Tags: integer

#### total:
- Tags: integer

#### list:
- Value:
  - **Object**:
    - Tags: String
  - **Id**:
    - Tags: String
  - **Customer_id**:
    - Tags: String
  - **Date_created**:
    - Tags: String
  - **Bank_name**:
    - Tags: String
  - **Ifsc**:
    - Tags: String
  - **Account_number**:
    - Tags: String
  - **Beneficiary_name**:
    - Tags: String
  - **Validation_amount**:
    - Tags: Integer
  - **Currency**:
    - Tags: String
  - **Validation_status**:
    - Tags: String
  - **Last_validated**:
    - Tags: String
  - **Metadata**:
    - Value:
      - **Param1**:
        - Tags: String
      - **Param2**:
        - Tags: String
    - Tags: Object
- Tags: Array of objects
### 400:

#### object:
- Description: {}
- Tags: JSON


---

## See Also

- [Validate Bank Account [Deprecated]](https://juspay.io/in/docs/api-reference/docs/express-checkout/validate-bank-account-deprecated)
- [Get Bank Account [Deprecated]](https://juspay.io/in/docs/api-reference/docs/express-checkout/get-bank-account-deprecated)
